Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511812 - [online-stg]Failed to import jboss-eap70-openshift imagestream to openshift namespace for timeout error
Summary: [online-stg]Failed to import jboss-eap70-openshift imagestream to openshift n...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: yasun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 08:36 UTC by wewang
Modified: 2017-11-17 07:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description wewang 2017-11-10 08:36:29 UTC
Description of problem:
Failed to import  jboss-eap70-openshift imagestream to openshift with below error:
  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: net/http: request canceled (Client.Timeout exceeded while awaiting headers)
      9 hours ago

Version-Release number of selected component (if applicable):
v3.6.173.0.21

How reproducible:
always

Steps to Reproduce:
1.[root@dhcp-128-91 yum.repos.d]# oc describe is jboss-eap70-openshift -n openshift
Name:			jboss-eap70-openshift
Namespace:		openshift
Created:		9 hours ago
Labels:			<none>
Annotations:		kubectl.kubernetes.io/last-applied-configuration={"apiVersion":"v1","kind":"ImageStream","metadata":{"annotations":{"openshift.io/display-name":"Red Hat JBoss EAP 7.0"},"name":"jboss-eap70-openshift","namespace":"openshift"},"spec":{"tags":[{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-jboss","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8,xpaas:1.3","tags":"builder,eap,javaee,java,jboss,xpaas","version":"1.3"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3"},"name":"1.3"},{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-jboss","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8,xpaas:1.4","tags":"builder,eap,javaee,java,jboss,xpaas","version":"1.4"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4"},"name":"1.4"},{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-jboss","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8,xpaas:1.5","tags":"builder,eap,javaee,java,jboss,xpaas","version":"1.5"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.5"},"name":"1.5"}]}}
			
			openshift.io/display-name=Red Hat JBoss EAP 7.0
			openshift.io/image.dockerRepositoryCheck=2017-11-09T22:47:25Z
Docker Pull Spec:	172.30.107.36:5000/openshift/jboss-eap70-openshift
Image Lookup:		local=false
Unique Images:		0
Tags:			3

1.5
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.5

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, xpaas
  Supports: eap:7.0, javaee:7, java:8, xpaas:1.5
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: net/http: request canceled (Client.Timeout exceeded while awaiting headers)
      9 hours ago

1.4
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, xpaas
  Supports: eap:7.0, javaee:7, java:8, xpaas:1.4
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: net/http: request canceled (Client.Timeout exceeded while awaiting headers)
      9 hours ago

1.3
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, xpaas
  Supports: eap:7.0, javaee:7, java:8, xpaas:1.3
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  ! error: Import failed (InternalError): Internal error occurred: Get https://registry.access.redhat.com/v2/: net/http: request canceled (Client.Timeout exceeded while awaiting headers)
      9 hours ago
2.
3.

Actual results:
import  jboss-eap70-openshift failed 

Expected results:
should import jboss-eap70-openshift successfully
Additional info:

Comment 1 wewang 2017-11-17 07:32:08 UTC
Tested in online-stg again, cannot reproduce it 
BTW, openshift version is older than before
OpenShift Master: v3.6.173.0.7

$ oc describe is jboss-eap70-openshift -n openshift
Name:			jboss-eap70-openshift
Namespace:		openshift
Created:		7 days ago
Labels:			<none>
Annotations:		kubectl.kubernetes.io/last-applied-configuration={"apiVersion":"v1","kind":"ImageStream","labels":{"xpaas":"1.4.7"},"metadata":{"annotations":{"openshift.io/display-name":"Red Hat JBoss EAP 7.0","openshift.io/provider-display-name":"Red Hat, Inc.","version":"1.4.7"},"name":"jboss-eap70-openshift","namespace":"openshift"},"spec":{"tags":[{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-eap","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8","tags":"builder,eap,javaee,java,jboss,hidden","version":"1.3"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3"},"name":"1.3"},{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-eap","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8","tags":"builder,eap,javaee,java,jboss,hidden","version":"1.4"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4"},"name":"1.4"},{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-eap","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8","tags":"builder,eap,javaee,java,jboss,hidden","version":"1.5"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.5"},"name":"1.5"},{"annotations":{"description":"JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.","iconClass":"icon-eap","openshift.io/display-name":"Red Hat JBoss EAP 7.0","sampleContextDir":"kitchensink","sampleRef":"7.0.0.GA","sampleRepo":"https://github.com/jboss-developer/jboss-eap-quickstarts.git","supports":"eap:7.0,javaee:7,java:8","tags":"builder,eap,javaee,java,jboss,hidden","version":"1.6"},"from":{"kind":"DockerImage","name":"registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.6"},"name":"1.6"}]}}
			
			openshift.io/display-name=Red Hat JBoss EAP 7.0
			openshift.io/image.dockerRepositoryCheck=2017-11-16T20:36:58Z
			openshift.io/provider-display-name=Red Hat, Inc.
			version=1.4.7
Docker Pull Spec:	172.30.107.36:5000/openshift/jboss-eap70-openshift
Image Lookup:		local=false
Unique Images:		4
Tags:			4

1.6
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.6

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, hidden
  Supports: eap:7.0, javaee:7, java:8
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  * registry.access.redhat.com/jboss-eap-7/eap70-openshift@sha256:49570971ae343e30c07f72c45b3cd2b26f91ba4c796a0608e85edd93ccaa409e
      10 hours ago

1.5
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.5

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, hidden
  Supports: eap:7.0, javaee:7, java:8
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  * registry.access.redhat.com/jboss-eap-7/eap70-openshift@sha256:7b4d8986212601403ca07b320fd5dadb9f624298251620b8f6e2b55f993d9124
      10 hours ago

1.4
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, hidden
  Supports: eap:7.0, javaee:7, java:8
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  * registry.access.redhat.com/jboss-eap-7/eap70-openshift@sha256:2fcea3fcc642cee9e31184e83dbcd4402d6a02710a4ad882669c6db164e4df73
      10 hours ago

1.3
  tagged from registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3

  JBoss EAP 7.0 S2I images. The EAP image and template are provided initially at no cost. Consumption pricing to be released March 2018.
  Tags: builder, eap, javaee, java, jboss, hidden
  Supports: eap:7.0, javaee:7, java:8
  Example Repo: https://github.com/jboss-developer/jboss-eap-quickstarts.git

  * registry.access.redhat.com/jboss-eap-7/eap70-openshift@sha256:3b5f3fe164b9d2209752d1ae96808f5f9721ea698b09e4e65e44edaa41874076
      10 hours ago


Note You need to log in before you can comment on or make changes to this bug.